package intrinsic.mx.resources;

public class ResourceBundle extends Object implements intrinsic.mx.resources.IResourceBundle {

	/** Accessors */
	public Object content;
	public String locale;
	public String bundleName;

	/** Variables */
	public String _locale;
	public String _bundleName;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */
//	public static String locale;

/** Contructors */
public ResourceBundle() {
}

public ResourceBundle(String arg0) {
}

public ResourceBundle(String arg0, String arg1) {
}


/** Static Methods */
public static native intrinsic.mx.resources.ResourceBundle getResourceBundle(String arg0);
public static native intrinsic.mx.resources.ResourceBundle getResourceBundle(String arg0, intrinsic.flash.system.ApplicationDomain arg1);

/** Methods */
public native double getNumber(String arg0);
public native intrinsic.Array getStringArray(String arg0);
public native String getString(String arg0);
public native boolean getBoolean(String arg0);
public native boolean getBoolean(String arg0, boolean arg1);
public native Object getObject(String arg0);

}
